package com.ynfy.buss.exam.chouqian.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.io.Serializable;

@Data
@TableName("cq_xxxq")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "cq_xxxq对象", description = "cq_xxxq")
public class CqXxxq implements Serializable {
    /**
     * id
     */
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private String id;

    @Excel(name = "区名称", width = 15)
    @ApiModelProperty(value = "区名称")
    private String districtname;

    @Excel(name = "学校编号", width = 15)
    @ApiModelProperty(value = "学校编号")
    private String schoolcode;

    @Excel(name = "学校名称", width = 15)
    @ApiModelProperty(value = "学校名称")
    private String schoolname;

    @Excel(name = "班级数量", width = 15)
    @ApiModelProperty(value = "班级数量")
    private String classcode;

    @Excel(name = "年级", width = 15)
    @ApiModelProperty(value = "年级")
    private String nianji;

    @Excel(name = "学校人数", width = 15)
    @ApiModelProperty(value = "学校人数")
    private Integer schoolpopulation;

    @Excel(name = "等级", width = 15)
    @ApiModelProperty(value = "等级")
    private String estate;

    @Excel(name = "状态", width = 15)
    @ApiModelProperty(value = "状态")
    private String status;
    /**
     * 抽签学校数量
     */
    @TableField(exist = false,select = false)
    private String schooamount;
    /**
     * 抽签人数数量
     */
    @TableField(exist = false,select = false)
    private String studentamount;
}
