package com.ynfy.buss.exam.chouqian.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

@Data
@TableName("cq_ycqxx")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "cq_ycqxx对象", description = "cq_ycqxx")
public class CqYcqxx implements Serializable {
    /**
     * id
     */
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private String id;

    @Excel(name = "区名称", width = 15)
    @ApiModelProperty(value = "区名称")
    private String districtname;

    @Excel(name = "学校编号", width = 15)
    @ApiModelProperty(value = "学校编号")
    private String schoolcode;

    @Excel(name = "学校名称", width = 15)
    @ApiModelProperty(value = "学校名称")
    private String schoolname;

    @Excel(name = "班级数量", width = 15)
    @ApiModelProperty(value = "班级数量")
    private String classcode;

    @Excel(name = "年级", width = 15)
    @ApiModelProperty(value = "年级")
    private String nianji;

    @Excel(name = "等级", width = 15)
    @ApiModelProperty(value = "等级")
    private String estate;

    @Excel(name = "状态", width = 15)
    @ApiModelProperty(value = "状态")
    private String state;
    @Excel(name = "补的学校id", width = 15)
    @ApiModelProperty(value = "补的学校id")
    private String buid;

    @Excel(name = "学校人数", width = 15)
    @ApiModelProperty(value = "学校人数")
    private Integer schoolpopulation;
    /**
     * createTime
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "createTime")
    private Date createTime;
    /**
     * createBy
     */
    @ApiModelProperty(value = "createBy")
    private String createBy;
    /**
     * updateTime
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;
    /**
     * updateBy
     */
    @ApiModelProperty(value = "updateBy")
    private String updateBy;
}
