package com.ynfy.buss.exam.userqk.controller;

import com.ynfy.buss.exam.userqk.mapper.QkMapper;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.system.entity.SysUser;
import org.jeecg.modules.system.service.ISysUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/qk")
public class QkController {
    @Autowired
    QkMapper qkMapper;
    @Autowired
    ISysUserService iSysUserService;
    @GetMapping("/qk")
    public  Result<?> mainqk(@RequestParam(name = "ksh")String ksh,@RequestParam(name = "xm") String xm) {
        SysUser sysUser =iSysUserService.getUserByName(ksh);
        if(sysUser==null||ksh.equals("admin")){
            return Result.error("该考生号未包含在本次考试考生号中，无法登记。");
        } else if (!sysUser.getRealname().equals(xm)) {
            return Result.error("该学生未包含在本次考试中，无法登记。");
        } else {
        //提前校验是否有考生添加
        List<String> lists = qkMapper.selectQk(ksh);
        if (!lists.isEmpty()){
            return Result.noauth("该考号已登记，请勿重复登记。");
        }else {
            int i = qkMapper.insertQk(ksh,xm);
            List<String> list = qkMapper.selectQk(ksh);
            if (i > 0) {
                if (!list.isEmpty()) {
                    return Result.ok("登记成功！");
                } else {
                    return Result.error("登记失败，请重新登记");
                }
            } else {
                return Result.error("登记失败，请重新登记");
            }
        }
        }
    }
}
