package com.ynfy.buss.exam.chouqian.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecg.common.aspect.annotation.Dict;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.io.Serializable;

@Data
@TableName("cq_ksxx")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "cq_ksxx对象", description = "cq_ksxx")
public class CqKsxx implements Serializable {
    /**
     * id
     */
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private String id;

    @Excel(name = "区名称", width = 15)
    @ApiModelProperty(value = "区名称")
    private String districtname;

    @Excel(name = "学校名称", width = 15)
    @ApiModelProperty(value = "学校名称")
    private String schoolname;

    @Excel(name = "年级", width = 15)
    @ApiModelProperty(value = "年级")
    private String nianji;

    @Excel(name = "班级", width = 15)
    @ApiModelProperty(value = "班级")
    private String classname;

    @Excel(name = "考生账号", width = 15)
    @ApiModelProperty(value = "考生账号")
    private String username;

    @Excel(name = "考生姓名", width = 15)
    @ApiModelProperty(value = "考生姓名")
    private String realname;
    /**
     * 性别（1：男 2：女）
     */
    @Excel(name = "性别", width = 15,dicCode="sex")
    @Dict(dicCode = "sex")
    private Integer sex;
}
